# Uses of Interface
java.lang.classfile.attribute.CompilationIDAttribute

Packages that use CompilationIDAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of CompilationIDAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type CompilationIDAttribute
Modifier and Type
Method
Description
`static AttributeMapper<CompilationIDAttribute>`
Attributes.`compilationId()`
Returns the mapper for the `CompilationID` attribute.

## Uses of CompilationIDAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type CompilationIDAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`CompilationIDAttribute`
Models the `CompilationID` attribute, which records the compilation time of the `class` file.
Methods in java.lang.classfile.attribute that return CompilationIDAttribute
Modifier and Type
Method
Description
`static CompilationIDAttribute`
CompilationIDAttribute.`of(Utf8Entry id)`
Returns a `CompilationID` attribute.
`static CompilationIDAttribute`
CompilationIDAttribute.`of(String id)`
Returns a `CompilationID` attribute.